<div class="container content">
  <form class="" #loginForm="ngForm" (ngSubmit)="handleLogin()">
    <div *ngIf="invalidLogin" class="alert alert-warning">
      {{ errorMessage }}
    </div>
    <div
      [hidden]="name.valid || (name.pristine && name.untouched)"
      class="alert alert-danger"
    >
      Name is required
    </div>
    <div
      [hidden]="pwd.valid || (pwd.pristine && pwd.untouched)"
      class="alert alert-danger"
    >
      Password is required
    </div>
    <div class="form-group row">
      <div class="col col-5">
        <label for="username" class="lead">User Name </label>
      </div>
      <div class="col col-7">
        <input
          type="text"
          name="username"
          id="username"
          [(ngModel)]="username"
          #name="ngModel"
          required
        />
      </div>
    </div>
    <div class="form-group row">
      <div class="col col-5">
        <label for="password" class="lead">Password </label>
      </div>
      <div class="col col-7">
        <input
          type="password"
          name="password"
          id="password"
          [(ngModel)]="password"
          #pwd="ngModel"
          required
        />
      </div>
    </div>
    <div class="row">
      <div class="col col-2"></div>
      <div class="col col-2">
        <button class="btn btn-secondary">Submit</button>
      </div>
    </div>
  </form>
</div>
